| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::prune Struct Reference

Defines a request to count prunable users, or start a prune operation. More...

`#include <prune.h>`

Inheritance diagram for dpp::prune:
[legend]
Collaboration diagram for dpp::prune:
[legend]

## Public Member Functions

virtual | ~prune ()=default
| Destroy this prune object.
std::string | build_json (bool with_id=false) const
| Convert object to json string.
prune & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
json | to_json (bool with_id=false) const
| Build JSON from this object.

## Public Attributes

bool | compute_prune_count
| True if the count of pruneable users should be returned.
uint32_t | days = 0
| Number of days to include in the prune.
std::vector< snowflake > | include_roles
| Roles to include in the prune (empty to include everyone).

## Protected Member Functions

prune & | fill_from_json_impl (nlohmann::json *j)
virtual json | to_json_impl (bool with_prune_count=false) const

## Friends

struct | json_interface< prune >

## Detailed Description

Defines a request to count prunable users, or start a prune operation.

## Constructor & Destructor Documentation

## ◆ ~prune()

virtual dpp::prune::~prune | ( |  | ) |

virtual default

Destroy this prune object.

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< prune >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

prune & dpp::json_interface< prune >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

prune & dpp::prune::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Fill this object from json.

Parameters

  j | JSON object to fill from

Returns
  A reference to self

## ◆ to_json()

json dpp::prune::to_json | ( | bool | with_id = false | ) | const

Build JSON from this object.

Parameters

  with_id | True if the prune count boolean is to be set in the built JSON

Returns
  The JSON of the prune object

## ◆ to_json_impl()

virtual json dpp::prune::to_json_impl | ( | bool | with_prune_count = false | ) | const

protected virtual

Build JSON from this object.

Parameters

  with_prune_count | True if the prune count boolean is to be set in the built JSON

Returns
  The JSON of the prune object

## Friends And Related Symbol Documentation

## ◆ json_interface< prune >

friend struct json_interface< prune >

friend

## Member Data Documentation

## ◆ compute_prune_count

bool dpp::prune::compute_prune_count

True if the count of pruneable users should be returned.

Warning
  Discord recommend not using this on big guilds.

## ◆ days

uint32_t dpp::prune::days = 0

Number of days to include in the prune.

## ◆ include_roles

std::vector<snowflake> dpp::prune::include_roles

Roles to include in the prune (empty to include everyone).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0